# -*- rpm-spec -*-
# $Id: wavesurfer,v 1.29 2004/05/14 21:23:50 me Exp $

%define major 1.6

Name: wavesurfer
Version: %major.4
Release: alt1

Summary: WaveSurfer is a tool for sound visualization and manipulation
License: BSD
Group: Sound
URL: http://www.speech.kth.se/%name/

Source0: %url/%name-%version.tar.bz2
Source1: ogg.plug
Source2: %name.menu
Source3: %name-1.5.2-ru.msgs
Patch0: %name-1.6.4-surfutil.patch
  
Requires: tk >= 8.4.0-alt1 tcllib >= 1.2-alt2 tcl-snack >= 2.2-alt3 tkcon
BuildPreReq: iconv
BuildArch: noarch

%description
%name is an Open Source tool for sound visualization and manipulation.
It has been designed to suit both novice and advanced users. WaveSurfer has
a simple and logical user interface that provides functionality in an intuitive
way and which can be adapted to different tasks. It can be used as a stand-alone
tool suited for a wide range of tasks in speech research and education, but is also
a platform for more advanced applications. WaveSurfer can be extended through
plug-ins. It is also possible to embedded it in other applications or to control
it remotely.

%prep
%setup -q
%patch0 -p1

%install
# rearrange a bit executables
%__install -d -m0755 %buildroot%_bindir
%__sed -e 's|^\(set\ \+RELEASE.\+\)$|lappend ::auto_path %_datadir/%name\
\1|' < wavesurfer.tcl > %buildroot%_bindir/wavesurfer
%__sed -e 's/createshapes.tcl/wsurf-createshapes/' \
	< tools/createshapes.tcl > %buildroot%_bindir/wsurf-createshapes
%__chmod 0755 %buildroot%_bindir/*

# library, plugins, configs
%__install -d -m0755 %buildroot%_datadir/%name/{plugins,configurations,msgs}
%__install -p -m0644 wsurf%major/*.tcl %buildroot%_datadir/%name
# we already have these in tcl and tcllib
%__rm -f %buildroot%_datadir/%name/cmdline.tcl
# tkcon lives in separate package
%__rm -f %buildroot%_datadir/%name/tkcon.tcl
%__grep -vE 'cmdline|tkcon' < wsurf%major/pkgIndex.tcl > %buildroot%_datadir/%name/pkgIndex.tcl
%__install -p -m0644 %SOURCE1 wsurf%major/plugins/*.plug %buildroot%_datadir/%name/plugins
%__install -p -m0644 wsurf%major/configurations/*.conf %buildroot%_datadir/%name/configurations

# menus, icons
%__install -p -m0644 -D %SOURCE2 %buildroot%_menudir/%name
%__install -p -m0644 -D icons/ws48.xpm %buildroot%_iconsdir/ws.xpm

# msgcat expects contents in utf-8
iconv -f iso8859-1 -t utf-8 msgs/se.msg > %buildroot%_datadir/%name/msgs/se.msg
%__cat msgs/ru_ru.koi8-r.msg %SOURCE3 |grep -v Silence |%__sed 's| ru_ru.koi8-r | ru |' |\
iconv -f koi8-r -t utf-8 > %buildroot%_datadir/%name/msgs/ru.msg
%__chmod 0644 %buildroot%_datadir/%name/msgs/*.msg

# cleanups
%__chmod 0644 README*

# python go away 
%__rm -f demos/*.py

%post
%update_menus

%postun
%clean_menus

%files
%doc README* LICENSE*
%doc doc demos
%_bindir/*
%_datadir/%name
%_menudir/*
%_iconsdir/*

%changelog
* Fri May 14 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.4-alt1
- 1.6.4

* Fri Dec 12 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.5.7-alt1
- 1.5.7

* Sat Jul 12 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.5.2-alt1
- 1.5.2

* Tue Mar 11 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.4.7-alt1
- 1.4.7
- http proxy support added

* Tue Jan 14 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.4.6-alt1
- 1.4.6

* Tue Oct  8 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.4.4-alt1
- 1.4.4

* Wed Jun  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.4-alt3
- moved to %_tcldatadir

* Sat May 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.4-alt1
- 1.4

* Wed Nov 28 2001  <s.bolshakov@belcaf.com> 1.1-alt1
- First spec file for ALT Linux distribution.



